<?php

namespace Myriad\EventDrivenService;

use Illuminate\Support\ServiceProvider;

class EventDrivenServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        include __DIR__.'/routes.php';

        $this->publishes([__DIR__ . '/../database/' => database_path('migrations')], 'migrations');
        $this->publishes([__DIR__ . '/../config/events.php' => config_path('events.php')], 'config');
    }

    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->make('Myriad\EventDrivenService\Http\Controllers\Api\EventsController');
    }
}
