<?php

namespace Myriad\EventDrivenService\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Myriad\EventDrivenService\Http\Requests\PaginationRequest;
use Myriad\EventDrivenService\Services\EventService;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class EventsController extends Controller {

  public function getEvents($uri, PaginationRequest $request, EventService $eventService) {
    $new = $eventService->getNew($uri, $request->last_update, $request->page_size);
    return JsonResource::collection($new['data'])->additional(['meta' => $new['meta']]);
  }

  public function store(Request $request, EventService $eventService) {
    $errors = $eventService->handlePost($request);
    return response()->json($errors, 201);
  }
}
