<?php

namespace Myriad\EventDrivenService\Repositories;

use Myriad\EventDrivenService\Models\Event;
use Myriad\EventDrivenService\Traits\Logger;

class EventRepository {
  use Logger;

  public function create($event) {
    if (isset($event['value']) && is_array($event['value'])) {
      $event['value'] = json_encode($event['value']);
    }
    return Event::create([
      "command" => $event['command'],
      "model_uuid" => array_key_exists('model_uuid', $event) ? $event['model_uuid'] : null,
      "name" => array_key_exists('name', $event) ? $event['name'] : null,
      "value" => array_key_exists('value', $event) ? $event['value'] : null,
      "version" => array_key_exists('version', $event) ? $event['version'] : null,
      "version_new" => array_key_exists('version_new', $event) ? $event['version_new'] : null,
    ]);
  }
}